#!/usr/bin/env python
# coding=utf-8
"""
Installation script for EarthDiagnostics package
"""

from os import path
from setuptools import setup
from setuptools import find_packages

here = path.abspath(path.dirname(__file__))

# Get the version number from the relevant file
with open(path.join(here, 'VERSION')) as f:
    version = f.read().strip()

setup(
    name='earthdiagnostics',
    license='GNU GPL v3',
    platforms=['GNU/Linux Debian'],
    version=version,
    description='EarthDiagnostics',
    author='BSC-CNS Earth Sciences Department',
    author_email='javier.vegas@bsc.es',
    url='http://www.bsc.es/projects/earthsciences/autosubmit/',
    keywords=['climate', 'weather', 'diagnostic'],
    setup_requires=['pyproj'],
    install_requires=['numpy', 'netCDF4', 'bscearth.utils', 'cdo', 'nco>=0.0.3', 'iris>=1.12.0', 'coverage',
                      'pygrib', 'openpyxl', 'mock', 'futures', 'cf_units'],
    packages=find_packages(),
    include_package_data=True,
    scripts=['bin/earthdiags']
)
